Package org.apache.lucene.queryparser.surround.query

# Class OrQuery

java.lang.Object
org.apache.lucene.queryparser.surround.query.SrndQuery
org.apache.lucene.queryparser.surround.query.ComposedQuery
org.apache.lucene.queryparser.surround.query.OrQuery

All Implemented Interfaces:
  `Cloneable`, `DistanceSubQuery`

public class OrQuery extends ComposedQuery implements DistanceSubQuery
Factory for disjunctions

## Field Summary

### Fields inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

`opName, queries`

## Constructor Summary

Constructors
Constructor
Description
`OrQuery(List<SrndQuery> queries, boolean infix, String opName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSpanQueries(SpanNearClauseFactory sncf)`
`String`
`distanceSubQueryNotAllowed()`
When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
`Query`
`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`

### Methods inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

`getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

`clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isWeighted, makeLuceneQueryField, setWeight, weightToString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OrQuery

public OrQuery(List<SrndQuery> queries, boolean infix, String opName)

## Method Details

### makeLuceneQueryFieldNoBoost

public Query makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)

Specified by:
  `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### distanceSubQueryNotAllowed

public String distanceSubQueryNotAllowed()
Description copied from interface: `DistanceSubQuery`
When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

Specified by:
  `distanceSubQueryNotAllowed` in interface `DistanceSubQuery`

### addSpanQueries

public void addSpanQueries(SpanNearClauseFactory sncf) throws IOException

Specified by:
  `addSpanQueries` in interface `DistanceSubQuery`
Throws:
  `IOException`